import numpy as np
from glob import glob
from skimage.io import imread, imsave
import matplotlib.pyplot as plt
from pathlib import Path
from skimage.transform import resize
from skimage.morphology import skeletonize
path = str(Path.cwd())


for i, file in enumerate(glob(path + '/raw/*.png')):
    print(file)
    S = imread(file, 1)
    a = np.argwhere(S > 0)
    x, y = a.T

    mx, Mx = min(x), max(x)
    my, My = min(y), max(y)

    pad = 10
    S = S[mx:Mx, my:My]
    C = np.zeros((Mx - mx + 2 * pad, My - my + 2 * pad))
    C[pad:-pad, pad:-pad] = S
    val = C[np.where(C > 200)]
    print(val.min())
    C = (C - val.min()) / (val.max() - val.min())

    if C.shape[1] < C.shape[0]:
        r = C.shape[1] / C.shape[0]
        C = resize(C, (512, int(r * 512)))
    else:
        r = C.shape[0] / C.shape[1]
        C = resize(C, (int(r * 512), 512))
    C = (C - C.min()) / (C.max() - C.min())
    C = (255 * C).astype(np.uint8)

    imsave(file, C)
