import numpy as np
from glob import glob
from skimage.io import imread, imsave
import matplotlib.pyplot as plt
from pathlib import Path
from skimage.transform import resize
from skimage.morphology import disk, erosion
from skimage.filters import gaussian
path = str(Path.cwd())


for i, file in enumerate(glob(path + '/raw/*.png')):
    print(file)
    S = imread(file, 1) > 0
    
    a = np.argwhere(S > 0)
    x, y = a.T

    mx, Mx = min(x), max(x)
    my, My = min(y), max(y)

    pad = 5
    S = S[mx:Mx, my:My]
    C = np.zeros((Mx - mx + 2 * pad, My - my + 2 * pad))
    C[pad:-pad, pad:-pad] = S

    if C.shape[1] < C.shape[0]:
        r = C.shape[1] / C.shape[0]
        C = resize(C, (256, int(r * 256)))
    else:
        r = C.shape[0] / C.shape[1]
        C = resize(C, (int(r * 256), 256))
    C = C + erosion(C, disk(11))
    C = gaussian(C, 3)
    C = (C - C.min()) / (C.max() - C.min())
    C = (255 * C).astype(np.uint8)

    imsave(file, C)
