import numpy as np
from glob import glob
from skimage.io import imread, imsave
import matplotlib.pyplot as plt
from pathlib import Path
from skimage.transform import resize
from skimage.morphology import skeletonize
path = str(Path.cwd())


for i, file in enumerate(glob(path + '/*.png')):
    tex = imread(file, 1)
    tex = resize(tex, (1024,1024))
    tex = tex.astype(float)
    tex = (tex - tex.min()) / (tex.max() - tex.min())
    tex = (255 * tex).astype(np.uint8)

    imsave(file, tex)
