import os
import platform
from IPython.display import clear_output

def clear():
    if platform.system() == 'Windows':
        return os.system('cls')
    else:
        return os.system('clear')

def update_progress(progress, message="", jupyter=False):
    bar_length = 20
    if isinstance(progress, int):
        progress = float(progress)
    if not isinstance(progress, float):
        progress = 0
    if progress < 0:
        progress = 0
    if progress >= 1:
        progress = 1
    block = int(round(bar_length * progress))
    if jupyter:
        clear_output(wait=True)
    else:
        clear()
    text = message + " [{0}] {1:.1f}%".format("#" * block + "-" * (bar_length - block), progress * 100)
    print(text)
